server:
  shutdown: graceful
  servlet:
    context-path:
  error:
    include-exception: true
    include-stacktrace: never
    path: '/error'  #http://~/error 호출
    whitelabel:
      enabled: true




spring:
  profiles:
    #    active: local
    active: '@spring.profiles.active@'
  #    include:
  #      prodDB
  #    group:
  #      local:
  #        - localDB
  #      prod:
  #        - prodDB
  config:
    import: classpath:config/conf-app.yml, classpath:config/conf-contract.yml, classpath:config/conf-log.yml, classpath:config/conf-mybatis.yml, classpath:config/conf-policy.yml, classpath:config/conf-slack.yml
  #  main:
  #    allow-bean-definition-overriding: true

  pid:
    file: mdpost.pid

  mvc:
    view:
      prefix: /WEB-INF/jsp/
      suffix: .jsp
  devtools:
    livereload:
      enabled: true

  sql:
    init:

      continue-on-error: false
  datasource:
    hikari:
      auto-commit: false
      connection-test-query: SELECT 1
      minimum-idle: 10
      maximum-pool-size: 50
      #      transaction-isolation: TRANSACTION_READ_UNCOMMITTED
      transaction-isolation: TRANSACTION_READ_COMMITTED
      pool-name: pool-xitworld
      data-source-properties:
        rewriteBatchedStatments: true


  jpa:
    database-platform: org.hibernate.dialect.MariaDB103Dialect
    #    show-sql: true
    #    generate-ddl: true #TODO: 필요 시 주석해제. generate-ddl를 true 설정 시 ddl-auto의 설정값과 무관하게 DDL 스크립트 실행
    hibernate:
      ddl-auto: none
      naming:
        #        implicit-strategy: org.springframework.boot.orm.jpa.hibernate.SpringImplicitNamingStrategy
        physical-strategy: org.springframework.boot.orm.jpa.hibernate.SpringPhysicalNamingStrategy
    properties:
      hibernate:
        #        format_sql: true
        #        use_sql_comments: true
        order_inserts: true
        order_updates: true
        jdbc:
          batch_size: 200
  #          default_batch_fetch_size: ${chunkSize:100}
  #          dialect: org.hibernate.dialect.MySQL57InnoDBDialect


  cache:
    type: redis
  redis:
    host: ${server.host:localhost}
    port: 16379
  #    password:
  #    database:
  #    timeout:
  #    sentinel:
  #      master:
  data:
    redis:
      repositories:
        enabled: false





#  kafka:
#    producer:
#      bootstrap-servers: localhost:49092
#      key-serializer: org.apache.kafka.common.serialization.StringSerializer
#      value-serializer: org.apache.kafka.common.serialization.StringSerializer
#    consumer:
#      bootstrap-servers: localhost:49092
#      key-deserializer: org.apache.kafka.common.serialization.StringDeserializer
#      value-deserializer: org.apache.kafka.common.serialization.StringDeserializer
#      group-id: group-id-ens
#      auto-offset-reset: latest
#      max-poll-records: 1







xit:
  app:
    url: ${server.protocol:http}://${server.host:localhost}:${server.port}
    ctx: ${server.servlet.context-path}
  mblpage:
    payinf:
      host: ${xit.app.url}${xit.app.ctx}
    postse:
      intgrn:
        #  url: ${xit.app.url}${xit.app.ctx}
        url: https://xit.co.kr
        path: /ens/kko/mydoc/noti/prnt
      kkomd:
        url: ${xit.app.url}${xit.app.ctx}
        path: /kko/mydoc/page/prnt
      # //FIXME: 카카오톡 추가
      kkotalk:
        url: ${xit.app.url}${xit.app.ctx}
        path: /kko/talk/page/prnt
      nvst:
        url: ${xit.app.url}${xit.app.ctx}
        path: /nv/signtalk/page/prnt
      ktst:
        url: ${xit.app.url}${xit.app.ctx}
        path: /kt/signtalk/page/prnt
      ktgbs:
        url: ${xit.app.url}${xit.app.ctx}
        path: /kt/gibis/page/prnt
  swagger:
    conf:
      api:
        url: ${xit.app.url}${xit.app.ctx}
        version: '@project.version@'


springdoc:
  #show-actuator: true
  #show-login-endpoint: true
  writer-with-default-pretty-printer: true
  model-and-view-allowed: true
  api-docs:
    enabled: true
    path: /api-docs
  swagger-ui:
    enabled: true
    path: swagger-ui.html
    display-request-duration: true
    operations-sorter: alpha #alpha/method
    tags-sorter: alpha
    disable-swagger-default-url: true
    display-query-params-without-oauth2: true
    csrf:
      enabled: false
#  group-configs[0]:
#    group: Examples...
#    paths-to-match: /example/**, /kafka/sample/**
#  group-configs[1]:
#    group: 카카오페이-내문서함
#    paths-to-match: /kko/mydoc/**
#  group-configs[2]:
#    group: 카카오페이-청구서
#    paths-to-match: /kakao/**
